<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('Services', function(Blueprint $table) {
			$table->foreign('providor_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('Services', function(Blueprint $table) {
			$table->foreign('city_id')->references('id')->on('cities')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('Services', function(Blueprint $table) {
			$table->foreign('category_id')->references('id')->on('categories')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
	}

	public function down()
	{
		Schema::table('Services', function(Blueprint $table) {
			$table->dropForeign('Services_providor_id_foreign');
		});
		Schema::table('Services', function(Blueprint $table) {
			$table->dropForeign('Services_city_id_foreign');
		});
		Schema::table('Services', function(Blueprint $table) {
			$table->dropForeign('Services_category_id_foreign');
		});
	}
}